templates:
- github
- catkin
- base

variables:
  github.user: ubi-agni
  github.project: sr-ros-interface-ethercat

  branches:
  - ubi-noetic-devel
  - ubi-melodic-devel
  - ubi-kinetic-devel
  - ubi-indigo-devel
  - ubi-groovy-devel
  tags:
  - famula-0.1

  extra-requires:
  - nature: catkin
    target: sr_ethercat_hand_config

  platform-requires:
    ubuntu:
      packages:
      - '@{next-value|[]}'
      - binutils-dev
